/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import net.disy.commons.core.util.Ensure;

public class DrawSegmentDescription {

  private final String status;
  private final int timestamp;
  private final int angle;
  private final int type;
  private final int layer;

  public DrawSegmentDescription(
      final int layer,
      final int type,
      final int angle,
      final int timestamp,
      final String status) {
    Ensure.ensureArgumentNotNull(status);
    this.layer = layer;
    this.type = type;
    this.angle = angle;
    this.timestamp = timestamp;
    this.status = status;
  }

  public String getStatus() {
    return status;
  }

  public int getTimestamp() {
    return timestamp;
  }

  public int getAngle() {
    return angle;
  }

  public int getType() {
    return type;
  }

  public int getLayer() {
    return layer;
  }
}