/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import java.awt.Point;

public class FillSegment {

  private final int xStart;
  private final int yEnd;
  private final int xEnd;
  private final int yStart;

  public FillSegment(final int xStart, final int yStart, final int xEnd, final int yEnd) {
    this.xStart = xStart;
    this.yStart = yStart;
    this.xEnd = xEnd;
    this.yEnd = yEnd;
  }

  public int getxStart() {
    return xStart;
  }

  public int getyEnd() {
    return yEnd;
  }

  public int getxEnd() {
    return xEnd;
  }

  public int getyStart() {
    return yStart;
  }

  public FillSegment deriveTransformed(final PositioningTransformation t) {
    final Point pStart = t.transform(xStart, yStart);
    final Point pEnd = t.transform(xEnd, yEnd);
    return new FillSegment(pStart.x, pStart.y, pEnd.x, pEnd.y);
  }
}