/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import net.disy.commons.core.util.Ensure;

public class PadDrill {

  private final int xOffset;
  private final int yOffset;

  private int xDiameter;
  private int yDiameter;
  private String shape;
  private int diameter;

  public PadDrill(
      final int xDiameter,
      final int yDiameter,
      final int xOffset,
      final int yOffset,
      final String shape) {
    Ensure.ensureArgumentNotNull(shape);
    this.shape = shape;
    this.xDiameter = xDiameter;
    this.yDiameter = yDiameter;
    this.xOffset = xOffset;
    this.yOffset = yOffset;
  }

  public PadDrill(final int diameter, final int xOffset, final int yOffset) {
    this.diameter = diameter;
    this.xOffset = xOffset;
    this.yOffset = yOffset;
  }

  public int getxOffset() {
    return xOffset;
  }

  public int getyOffset() {
    return yOffset;
  }

  public int getxDiameter() {
    return xDiameter;
  }

  public int getyDiameter() {
    return yDiameter;
  }

  public String getShape() {
    return shape;
  }

  public int getDiameter() {
    return diameter;
  }
}