/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import java.awt.Point;

public class PolysCorner {

  private final int x;
  private final int y;
  private final int a;
  private final int b;

  public PolysCorner(final int x, final int y, final int a, final int b) {
    this.x = x;
    this.y = y;
    this.a = a;
    this.b = b;
  }

  public int getX() {
    return x;
  }

  public int getY() {
    return y;
  }

  public int getA() {
    return a;
  }

  public int getB() {
    return b;
  }

  public PolysCorner deriveTransformed(final PositioningTransformation t) {
    final Point p = t.transform(x, y);
    return new PolysCorner(p.x, p.y, a, b);
  }
}