/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import net.disy.commons.core.util.Ensure;
import de.jave.kicad.pcb.manipulate.BlockDecoder;

public class Text {
  private final Block block;

  public Text(final Block block) {
    Ensure.ensureArgumentNotNull(block);
    this.block = block;
  }

  public Block getBlock() {
    return block;
  }

  public Text deriveTransformed(final PositioningTransformation t) {
    final Block clone = block.clone();
    final TextPcbPosition position = BlockDecoder.getTextPcbPosition(clone);
    final TextPcbPosition newPosition = position.deriveTransformed(t);
    BlockDecoder.setTextPcbPosition(clone, newPosition);
    return new Text(clone);
  }
}