/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import java.awt.Point;

public class TextPcbPosition {

  private final int xStart;
  private final int yStart;
  private final int rotation;
  private final int width;
  private final int ySize;
  private final int xSize;

  public TextPcbPosition(
      final int xStart,
      final int yStart,
      final int xSize,
      final int ySize,
      final int width,
      final int rotation) {
    this.xStart = xStart;
    this.yStart = yStart;
    this.xSize = xSize;
    this.ySize = ySize;
    this.width = width;
    this.rotation = rotation;
  }

  public TextPcbPosition deriveTransformed(final PositioningTransformation t) {
    final Point p = t.transform(xStart, yStart);
    final int newRotation = t.appendToKicadRotation(rotation);
    return new TextPcbPosition(p.x, p.y, xSize, ySize, width, newRotation);
  }

  public int getxStart() {
    return xStart;
  }

  public int getyStart() {
    return yStart;
  }

  public int getRotation() {
    return rotation;
  }

  public int getWidth() {
    return width;
  }

  public int getySize() {
    return ySize;
  }

  public int getxSize() {
    return xSize;
  }
}