/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import net.disy.commons.core.util.Ensure;

public class TrackOrVia {

  private final TrackOrViaPosition position;
  private final TrackOrViaDescription description;

  public TrackOrVia(final TrackOrViaPosition position, final TrackOrViaDescription description) {
    Ensure.ensureArgumentNotNull(position);
    Ensure.ensureArgumentNotNull(description);
    this.position = position;
    this.description = description;
  }

  public TrackOrVia deriveTransformed(final PositioningTransformation t) {
    return new TrackOrVia(position.deriveTransformed(t), description);
  }

  public TrackOrViaPosition getPosition() {
    return position;
  }

  public TrackOrViaDescription getDescription() {
    return description;
  }
}