/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import net.disy.commons.core.util.Ensure;

public class TrackOrViaDescription {

  private final int layer;
  private final String status;
  private final int timestamp;
  private final int type;
  private final int netcode;

  public TrackOrViaDescription(
      final int layer,
      final int type,
      final int netcode,
      final int timestamp,
      final String status) {
    Ensure.ensureArgumentNotNull(status);
    this.layer = layer;
    this.type = type;
    this.netcode = netcode;
    this.timestamp = timestamp;
    this.status = status;
  }

  public int getLayer() {
    return layer;
  }

  public String getStatus() {
    return status;
  }

  public int getTimestamp() {
    return timestamp;
  }

  public int getType() {
    return type;
  }

  public int getNetcode() {
    return netcode;
  }
}