/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import java.awt.Point;

public class TrackOrViaPosition {

  private final int shape;
  private final int xStart;
  private final int xEnd;
  private final int yStart;
  private final int yEnd;
  private final int widthOrDiameter;
  private final int a;

  public TrackOrViaPosition(
      final int shape,
      final int xStart,
      final int yStart,
      final int xEnd,
      final int yEnd,
      final int widthOrDiameter,
      final int a) {
    this.shape = shape;
    this.xStart = xStart;
    this.yStart = yStart;
    this.xEnd = xEnd;
    this.yEnd = yEnd;
    this.widthOrDiameter = widthOrDiameter;
    this.a = a;
  }

  public int getShape() {
    return shape;
  }

  public int getxStart() {
    return xStart;
  }

  public int getxEnd() {
    return xEnd;
  }

  public int getyStart() {
    return yStart;
  }

  public int getyEnd() {
    return yEnd;
  }

  public int getWidthOrDiameter() {
    return widthOrDiameter;
  }

  public int getA() {
    return a;
  }

  public TrackOrViaPosition deriveTransformed(final PositioningTransformation t) {
    final Point pStart = t.transform(xStart, yStart);
    final Point pEnd = t.transform(xEnd, yEnd);
    return new TrackOrViaPosition(shape, pStart.x, pStart.y, pEnd.x, pEnd.y, widthOrDiameter, a);
  }
}