/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.model;

import java.awt.Point;

public class ZCorner {

  private final int x;
  private final int y;
  private final int flag;

  public ZCorner(final int x, final int y, final int flag) {
    this.x = x;
    this.y = y;
    this.flag = flag;
  }

  public int getX() {
    return x;
  }

  public int getY() {
    return y;
  }

  public int getFlag() {
    return flag;
  }

  public ZCorner deriveTransformed(final PositioningTransformation t) {
    final Point p = t.transform(x, y);
    return new ZCorner(p.x, p.y, flag);
  }
}