/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.persistence.read;

import net.disy.commons.core.util.Ensure;
import de.jave.kicad.pcb.model.Block;

public class BlockBlockItem implements IBlockItem {

  private final Block block;

  public BlockBlockItem(final Block block) {
    Ensure.ensureArgumentNotNull(block);
    this.block = block;
  }

  @Override
  public BlockBlockItem clone() {
    return new BlockBlockItem(block.clone());
  }

  public Block getBlock() {
    return block;
  }
}