/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.persistence.read;

import java.util.ArrayList;
import java.util.List;

import net.disy.commons.core.util.Ensure;
import de.jave.kicad.pcb.model.Block;

public final class BlockBuilder {

  private final List<IBlockItem> items = new ArrayList<IBlockItem>();
  private final String blockName;

  public BlockBuilder(final String blockName) {
    Ensure.ensureArgumentNotNull(blockName);
    this.blockName = blockName;
  }

  public final String getBlockName() {
    return blockName;
  }

  public final void addSubBlock(final Block block) {
    items.add(new BlockBlockItem(block));
  }

  public final Block createBlock() {
    return new Block(blockName, items);
  }

  public final void addLine(final String line) {
    items.add(new LineBlockItem(line));
  }
}