/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.persistence.read;

import net.disy.commons.core.util.Ensure;

public class LineBlockItem implements IBlockItem {

  private final String line;

  public LineBlockItem(final String line) {
    Ensure.ensureArgumentNotNull(line);
    this.line = line;
  }

  @Override
  public LineBlockItem clone() {
    return this; //We are not modifyable
  }

  public String getLine() {
    return line;
  }
}