/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.persistence.write;

import java.util.HashSet;
import java.util.Set;

public class BlockFormatSpecification {

  private static final Set<String> LOWERCASE_END_TAG_START_TAGS = new HashSet<String>() {
    {
      add("CZONE");
      add("FILLSEGMENTS");
      add("CZONE_OUTLINE");
      add("POLYSCORNERS");
    }
  };

  public static boolean isWriteStartTag(final String blockName) {
    return !"BOARD".equals(blockName);
  }

  public static boolean isLowercaseEndTagStart(final String blockName) {
    return LOWERCASE_END_TAG_START_TAGS.contains(blockName);
  }
}