/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcb.persistence.write;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

import net.disy.commons.core.io.IOUtilities;
import de.jave.kicad.pcb.model.KicadBoard;

public class KicadPcbFileWriter {

  public static void write(final KicadBoard board) throws IOException {
    final File file = board.getFile();
    FileWriter fileWriter = null;
    try {
      fileWriter = new FileWriter(file);
      final BufferedWriter writer = new BufferedWriter(fileWriter);
      final PrintWriter printWriter = new PrintWriter(writer);

      final BlockEncoder encoder = new BlockEncoder();
      encoder.encode(printWriter, board.getRootBlock());
      printWriter.close();
      writer.close();
    }
    catch (final IOException e) {
      throw new IOException("Error writing file '" + file.getAbsolutePath() + "'", e); //$NON-NLS-1$ //$NON-NLS-2$
    }
    finally {
      IOUtilities.close(fileWriter);
    }
  }
}