/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcbmultiplyer;

public enum MultiplyMode {
  FIT_BOARD(0), FIXED_MULTIPLES(1);

  private final int persistenceId;

  private MultiplyMode(final int persistenceId) {
    this.persistenceId = persistenceId;
  }

  public int getPersistenceId() {
    return persistenceId;
  }

  public static MultiplyMode getByPersistenceId(final int id) {
    for (final MultiplyMode mode : MultiplyMode.values()) {
      if (mode.getPersistenceId() == id) {
        return mode;
      }
    }
    return null;
  }
}