/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcbmultiplyer;

import java.awt.Polygon;
import java.awt.Rectangle;

import net.disy.commons.core.util.Ensure;

public class OrientedPolygon {

  private final int rotationAngle;
  private final Polygon polygon;
  private final Rectangle bounds;

  public OrientedPolygon(final Polygon polygon, final int rotationAngle) {
    Ensure.ensureArgumentNotNull(polygon);
    this.polygon = polygon;
    this.rotationAngle = rotationAngle;
    //(gebhard) 26.01.2011: for performance reasons remember bounds - it will be requested often when sorting polygons
    this.bounds = polygon.getBounds();
  }

  public int getRotationAngle() {
    return rotationAngle;
  }

  public Polygon getPolygon() {
    return polygon;
  }

  public Rectangle getBounds() {
    return bounds;
  }
}