/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcbmultiplyer;

import net.disy.commons.core.model.AbstractChangeableModel;
import net.disy.commons.core.util.Ensure;

public class PcbMultiplyOptionsModel extends AbstractChangeableModel {

  private int boardWidthMm = 160;
  private int boardHeightMm = 100;
  private double spacingMm = 0.5;
  private int boardPrice = 0;
  private MultiplyMode mode = MultiplyMode.FIT_BOARD;
  private int multiplesX = 1;
  private int multiplesY = 1;

  public int getMultiplesX() {
    return multiplesX;
  }

  public void setMultiplesX(final int multiplesX) {
    if (this.multiplesX == multiplesX) {
      return;
    }
    this.multiplesX = multiplesX;
    fireChangeEvent();
  }

  public int getMultiplesY() {
    return multiplesY;
  }

  public void setMultiplesY(final int multiplesY) {
    if (this.multiplesY == multiplesY) {
      return;
    }
    this.multiplesY = multiplesY;
    fireChangeEvent();
  }

  public MultiplyMode getMode() {
    return mode;
  }

  public void setMode(final MultiplyMode mode) {
    Ensure.ensureArgumentNotNull(mode);
    if (this.mode == mode) {
      return;
    }
    this.mode = mode;
    fireChangeEvent();
  }

  public int getBoardWidthMm() {
    return boardWidthMm;
  }

  public void setBoardWidthMm(final int boardWidthMm) {
    if (this.boardWidthMm == boardWidthMm) {
      return;
    }
    this.boardWidthMm = boardWidthMm;
    fireChangeEvent();
  }

  public void setBoardHeightMm(final int boardHeightMm) {
    if (this.boardHeightMm == boardHeightMm) {
      return;
    }
    this.boardHeightMm = boardHeightMm;
    fireChangeEvent();
  }

  public void setSpacingMm(final double spacingMm) {
    if (this.spacingMm == spacingMm) {
      return;
    }
    this.spacingMm = spacingMm;
    fireChangeEvent();
  }

  public int getBoardHeightMm() {
    return boardHeightMm;
  }

  public double getSpacingMm() {
    return spacingMm;
  }

  public int getBoardPrice() {
    return boardPrice;
  }

  public void setBoardPrice(final int boardPrice) {
    if (this.boardPrice == boardPrice) {
      return;
    }
    this.boardPrice = boardPrice;
    fireChangeEvent();
  }
}