/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcbmultiplyer;

import java.awt.Rectangle;

import net.disy.commons.core.util.Ensure;

public class PcbMultiplySetup {

  private final Rectangle targetBoardBounds;
  private final Rectangle originalContentBounds;
  private final int spacing;
  private final int boardPrice;
  private final MultiplyMode mode;

  public PcbMultiplySetup(
      final MultiplyMode mode,
      final Rectangle targetBoardBounds,
      final Rectangle originalContentBounds,
      final int spacing,
      final int boardPrice) {
    Ensure.ensureArgumentNotNull(mode);
    Ensure.ensureArgumentNotNull(targetBoardBounds);
    Ensure.ensureArgumentNotNull(originalContentBounds);
    this.mode = mode;
    this.targetBoardBounds = targetBoardBounds;
    this.originalContentBounds = originalContentBounds;
    this.spacing = spacing;
    this.boardPrice = boardPrice;
  }

  public Rectangle getTargetBoardBounds() {
    return targetBoardBounds;
  }

  public Rectangle getOriginalContentBounds() {
    return originalContentBounds;
  }

  public int getSpacing() {
    return spacing;
  }

  public int getBoardPrice() {
    return boardPrice;
  }

  public MultiplyMode getMode() {
    return mode;
  }
}