/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcbmultiplyer.swing;

import javax.swing.JComponent;
import javax.swing.JPanel;

import net.disy.commons.swing.layout.grid.GridDialogLayout;
import net.disy.commons.swing.layout.util.LayoutUtilities;
import de.jave.kicad.pcbmultiplyer.PcbMultiplyOptionsModel;

public class ControlPanel {

  private final JComponent content;

  public ControlPanel(final PcbMultiplyOptionsModel optionsModel) {
    final JPanel panel = new JPanel(new GridDialogLayout(1, false));
    panel.add(new OptionsPanel(optionsModel).getContent());
    panel.setBorder(LayoutUtilities.getDefaultEmptyBorder());
    this.content = panel;
  }

  public JComponent getContent() {
    return content;
  }
}