/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcbmultiplyer.swing;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;

import net.disy.commons.swing.filechooser.chooser.IFileChooser;
import net.disy.commons.swing.filechooser.configuration.IFileChooserOpenConfiguration;
import net.disy.commons.swing.filechooser.configuration.IFileChooserSaveConfiguration;

public final class KicadBoardFileFileChooserConfiguration
    implements
    IFileChooserSaveConfiguration,
    IFileChooserOpenConfiguration {
  @Override
  public void setAccessory(final IFileChooser fileChooser) {
    //nothing to do
  }

  @Override
  public String getTitle() {
    return "Kicad Board file";
  }

  @Override
  public FileFilter getDefaultFileFilter() {
    return new FileFilter() {
      @Override
      public String getDescription() {
        return "Kicad Board File (*.brd)";
      }

      @Override
      public boolean accept(final File f) {
        return f.isDirectory() || f.getName().endsWith(".brd");
      }
    };
  }

  @Override
  public FileFilter[] getChoosableFileFilters() {
    return new FileFilter[]{ getDefaultFileFilter() };
  }

  @Override
  public boolean acceptAllFileFilter() {
    return true;
  }

  @Override
  public String getDefaultExtension() {
    return ".brd";
  }

  @Override
  public int getFileSelectionMode() {
    return JFileChooser.FILES_ONLY;
  }
}