/**
 * Copyright (C) 2011 Markus Gebhard (mk@jave.de) and others
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package de.jave.kicad.pcbmultiplyer.tree;

import java.awt.Dimension;
import java.util.Arrays;
import java.util.List;

import net.disy.commons.core.util.Ensure;
import de.jave.kicad.pcbmultiplyer.ContentTransformation;

public class PcbSolution implements ISolution {

  private final Dimension size;

  public PcbSolution(final Dimension boardSize) {
    Ensure.ensureArgumentNotNull(boardSize);
    this.size = boardSize;
  }

  @Override
  public int getPcbCount() {
    return 1;
  }

  @Override
  public Dimension getSize() {
    return size;
  }

  @Override
  public List<ContentTransformation> createTransformations() {
    return Arrays.asList(new ContentTransformation(0, 0, 0));
  }

  @Override
  public long getCutLength() {
    return 0;
  }
}